Public Member Functions | Data Fields

# Goal Struct Reference

Struct about goals, current and completed. More...

`#include <goal_base.h>`

Inheritance diagram for Goal:

## Public Member Functions
| Goal ()
| We need an (empty) constructor so struct isn't zeroed (as C++ standard states).
| ~Goal ()
| (Empty) destructor has to be defined else operator delete might be called with NULL parameter
## Data Fields
CompanyByte | company
| Goal is for a specific company; INVALID_COMPANY if it is global.
GoalTypeByte | type
| Type of the goal.
GoalTypeID | dst
| Index of type.
char * | text
| Text of the goal.
char * | progress
| Progress text of the goal.
bool | completed
| Is the goal completed or not?

## Detailed Description

Struct about goals, current and completed.

Definition at line 23 of file goal_base.h.

The documentation for this struct was generated from the following file:

- src/goal_base.h